Page 4 of 5

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Thu Jan 19, 2017 8:30 pm
by father.mande
Hi,

As I know ... you can use the update mechanism integrated ... (only restart don't works)

At end when it restart ... it's the part that don't work
... so at this point go back to ADM disable Domoticz in App. Central ... wait for some second (to be sure all is closed gracefully) then Enable it again ... and updateis done

I have updated Domoticz to 3.5877 ... with this method

If you don't succeed ... I will modify the script ... to rewrite the update (perhaps it works on my system ... because I pass through beta ...

Philippe.

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Sat Jan 21, 2017 9:53 pm
by roiz
Hi,
I installed putty and followed the flow step by step and now it works perfect!!!

thanks all for your help !

Another question, if I want to upgrade to Beta version there is any safe way to do that?

Roi. :P

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Wed Jan 25, 2017 12:59 am
by scsi3
Bonjour Philippe,
Si cela peut faire avancer les choses je veux bien tester la beta de Domoticz.
Seulement du haut(ou du bas :mrgreen: ) de mes cinquante piges, je suis un novice en domotique :geek: et j'aimerais ne pas faire fumer mon beau NAS AS3102T :lol:
Alors si il y a une procédure en Français ('avec sauvegarde) et que je ne prends pas de risque je veux bien essayer.
Cdt

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Mon Jan 30, 2017 5:27 am
by staber
Hi,

Thank you for your works!

Domoticz works great but I have some trouble :

- Domoticz didn't ask for authentification even if I ask for

- I have this message on log : "2017-01-29 16:18:30.202 PluginSystem: Failed dynamic library load, install the latest libpython3.x library that is available for your platform."
I install your package python 3.5.2. Same message....

Any idea ?

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Mon Jan 30, 2017 9:16 pm
by father.mande
Hi,
staber wrote:Hi,
Thank you for your works!
Domoticz works great but I have some trouble :
- Domoticz didn't ask for authentification even if I ask for
- I have this message on log : "2017-01-29 16:18:30.202 PluginSystem: Failed dynamic library load, install the latest libpython3.x library that is available for your platform."
I install your package python 3.5.2. Same message....

Any idea ?


Hum! can you precise ADM version and NAS model ??
... as I know (and use on my own system) ... libpython3 IS NOT require by domoticz and nor by authentication (if authentication is the configuration to ask a password to connect to domoticz interface
... so I can't reproduce this ... and clearly don't understand ...

did you add some plugin ?

Philippe.

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Thu Feb 02, 2017 5:39 am
by staber
Hi,

I'm using ADM 2.6.6RCF2 on an ASUSTOR AS3204T.

No pluging install and last version of Domoticz (beta channel)

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Thu Feb 02, 2017 7:27 pm
by father.mande
Hi,
staber wrote:Hi,
I'm using ADM 2.6.6RCF2 on an ASUSTOR AS3204T.
No pluging install and last version of Domoticz (beta channel)


I will check (I don't move to beta yet ... so perhaps a new requirement ?)

Philippe.

Re: [APKG Domoticz x86_64] update to 3.5837

PostPosted: Thu Feb 02, 2017 11:31 pm
by staber
Yep Thamk you,

I have to move on beta. If not my logitech harmony is not recognized

Re: [APKG Domoticz x86_64] update to 3.5877

PostPosted: Wed Feb 22, 2017 1:57 am
by father.mande
Hi,

New version 3.5877 ... try to solve restart problem on internal update ...

Philippe.

Re: [APKG Domoticz x86_64] update to 3.5877

PostPosted: Wed Feb 22, 2017 4:36 am
by father.mande
Hi staber,
... following your remarks (and the large topic about this on domoticz forum) I have installed the beta ...

No sure it's enough ... but I have build a new version of my python3.5 to be able to load python3.so library require by domoticz

At this time, I can suppress the error message on plugins ... but no idea if it's enough

I will try to package this A.S.A.P. and add the perquisite (python 3.5) to domoticz APKG

Philippe.